void printi(int val);
void printstr(char *str);

char *_strcpy(char *dst, char *src)
{
  int i;
  for (i = 0; src[i]; i++)
    dst[i] = src[i];
  dst[i] = '\0';
  return dst;
}

int main()
{
  char *str = "abcdefg";
  char s[16];

  _strcpy(s, str);
  printstr(s);

  return 0;
}
